Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.parameters.ui
Class AbstractAParUiModule

    java.lang.Object
      org.eclipse.xtext.service.AbstractGenericModule
          org.eclipse.xtext.ui.DefaultUiModule
              org.eclipse.amp.amf.parameters.ui.AbstractAParUiModule

All Implemented Interfaces:
  com.google.inject.Module

Direct Known Subclasses:
  AParUiModule

    public abstract class AbstractAParUiModule

extends org.eclipse.xtext.ui.DefaultUiModule

Manual modifications go to {org.eclipse.amp.amf.parameters.ui.AParUiModule}

Constructor Summary
`AbstractAParUiModule(org.eclipse.ui.plugin.AbstractUIPlugin plugin)`

Method Summary
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.ReferenceProposalCreator>` | `bindAbstractJavaBasedContentProposalProvider$ReferenceProposalCreator()`
`java.lang.Class<? extends org.eclipse.xtext.common.types.xtext.AbstractTypeScopeProvider>` | `bindAbstractTypeScopeProvider()`
`java.lang.ClassLoader` | `bindClassLoaderToInstance()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext.Factory>` | `bindContentAssistContext$Factory()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.DocumentBasedDirtyResource>` | `bindDocumentBasedDirtyResource()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.antlr.IContentAssistParser>` | `bindIContentAssistParser()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider>` | `bindIContentProposalProvider()`
`java.lang.Class<? extends org.eclipse.xtext.ui.refactoring.IDependentElementsCalculator>` | `bindIDependentElementsCalculator()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.hyperlinking.IHyperlinkHelper>` | `bindIHyperlinkHelper()`
`java.lang.Class<? extends org.eclipse.xtext.common.types.access.jdt.IJavaProjectProvider>` | `bindIJavaProjectProvider()`
`java.lang.Class<? extends org.eclipse.xtext.common.types.access.IJvmTypeProvider.Factory>` | `bindIJvmTypeProvider$Factory()`
`java.lang.Class<? extends org.eclipse.jface.viewers.ILabelProvider>` | `bindILabelProvider()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.outline.IOutlineTreeProvider>` | `bindIOutlineTreeProvider()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.outline.impl.IOutlineTreeStructureProvider>` | `bindIOutlineTreeStructureProvider()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.IProposalConflictHelper>` | `bindIProposalConflictHelper()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.quickfix.IssueResolutionProvider>` | `bindIssueResolutionProvider()`
`java.lang.Class<? extends org.eclipse.xtext.common.types.xtext.ui.ITypesProposalProvider>` | `bindITypesProposalProvider()`
`org.eclipse.core.resources.IWorkspaceRoot` | `bindIWorkspaceRootToInstance()`
`java.lang.Class<? extends org.eclipse.xtext.builder.IXtextBuilderParticipant>` | `bindIXtextBuilderParticipant()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.IXtextEditorCallback>` | `bindIXtextEditorCallback()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.PrefixMatcher>` | `bindPrefixMatcher()`
`void` | `configureContentAssistLexer(com.google.inject.Binder binder)`
`void` | `configureContentAssistLexerProvider(com.google.inject.Binder binder)`
`void` | `configureHighlightingLexer(com.google.inject.Binder binder)`
`void` | `configureHighlightingTokenDefProvider(com.google.inject.Binder binder)`
`void` | `configureIResourceDescriptionsBuilderScope(com.google.inject.Binder binder)`
`void` | `configureIResourceDescriptionsPersisted(com.google.inject.Binder binder)`
`void` | `configureResourceUIServiceLabelProvider(com.google.inject.Binder binder)`
`com.google.inject.Provider<org.eclipse.xtext.resource.containers.IAllContainersState>` | `provideIAllContainersState()`

Methods inherited from class org.eclipse.xtext.ui.DefaultUiModule
`bindAbstractEditStrategyProvider, bindAdapterFactory, bindAdapterFactoryLabelProvider, bindComposedAdapterFactory$Descriptor$RegistryToInstance, bindContextTypeRegistry, bindIAllContainersState$Provider, bindIAnnotationHover, bindICharacterPairMatcher, bindICompletionProposalPostProcessor, bindIContentAssistantFactory, bindIContentAssistProcessor, bindIContentFormatterFactory, bindIContentOutlinePage, bindIDocumentPartitioner, bindIEObjectHover, bindIExternalContentSupport$IExternalContentProvider, bindIHighlightingHelper, bindIHyperlinkDetector, bindIImageHelper, bindIIndentationInformation, bindIPartitionTokenScanner, bindIPreferenceStore, bindIPresentationDamager, bindIPresentationRepairer, bindIReconciler, bindIResourceForEditorInputFactory, bindIResourceSetProvider, bindISingleLineCommentHelper, bindITemplateProposalProvider, bindITextHover, bindITokenScanner, bindOutlineFilterAndSorter$IComparator, bindTemplateStore, configure, configureBracketMatchingAction, configureContentProposalLabelProvider, configureHyperlinkLabelProvider, configureIOutlineContribution$Composite, configureLanguageSpecificURIEditorOpener, configureMarkOccurrencesAction, configureToggleLinkWithEditorOutlineContribution, configureToggleSortingOutlineContribution, configureUiEncodingProvider, configureXtextEditorErrorTickUpdater`

Methods inherited from class org.eclipse.xtext.service.AbstractGenericModule
`bindProperties, getBindings, tryBindProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractAParUiModule

    public AbstractAParUiModule(org.eclipse.ui.plugin.AbstractUIPlugin plugin)

Method Detail

### provideIAllContainersState

    public com.google.inject.Provider<org.eclipse.xtext.resource.containers.IAllContainersState> provideIAllContainersState()

### bindIProposalConflictHelper

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.IProposalConflictHelper> bindIProposalConflictHelper()

### configureHighlightingLexer

    public void configureHighlightingLexer(com.google.inject.Binder binder)

### configureHighlightingTokenDefProvider

    public void configureHighlightingTokenDefProvider(com.google.inject.Binder binder)

### bindIDependentElementsCalculator

    public java.lang.Class<? extends org.eclipse.xtext.ui.refactoring.IDependentElementsCalculator> bindIDependentElementsCalculator()

### configureIResourceDescriptionsBuilderScope

    public void configureIResourceDescriptionsBuilderScope(com.google.inject.Binder binder)

### bindIXtextEditorCallback

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.IXtextEditorCallback> bindIXtextEditorCallback()

### configureIResourceDescriptionsPersisted

    public void configureIResourceDescriptionsPersisted(com.google.inject.Binder binder)

### bindDocumentBasedDirtyResource

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.DocumentBasedDirtyResource> bindDocumentBasedDirtyResource()

### bindIXtextBuilderParticipant

    public java.lang.Class<? extends org.eclipse.xtext.builder.IXtextBuilderParticipant> bindIXtextBuilderParticipant()

### bindIWorkspaceRootToInstance

    public org.eclipse.core.resources.IWorkspaceRoot bindIWorkspaceRootToInstance()

### bindILabelProvider

    public java.lang.Class<? extends org.eclipse.jface.viewers.ILabelProvider> bindILabelProvider()

  Overrides:
    `bindILabelProvider` in class `org.eclipse.xtext.ui.DefaultUiModule`

### configureResourceUIServiceLabelProvider

    public void configureResourceUIServiceLabelProvider(com.google.inject.Binder binder)

  Overrides:
    `configureResourceUIServiceLabelProvider` in class `org.eclipse.xtext.ui.DefaultUiModule`

### bindIOutlineTreeProvider

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.outline.IOutlineTreeProvider> bindIOutlineTreeProvider()

### bindIOutlineTreeStructureProvider

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.outline.impl.IOutlineTreeStructureProvider> bindIOutlineTreeStructureProvider()

### bindIssueResolutionProvider

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.quickfix.IssueResolutionProvider> bindIssueResolutionProvider()

  Overrides:
    `bindIssueResolutionProvider` in class `org.eclipse.xtext.ui.DefaultUiModule`

### bindIContentProposalProvider

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider> bindIContentProposalProvider()

### bindContentAssistContext$Factory

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext.Factory> bindContentAssistContext$Factory()

### bindIContentAssistParser

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.antlr.IContentAssistParser> bindIContentAssistParser()

### configureContentAssistLexerProvider

    public void configureContentAssistLexerProvider(com.google.inject.Binder binder)

### configureContentAssistLexer

    public void configureContentAssistLexer(com.google.inject.Binder binder)

### bindClassLoaderToInstance

    public java.lang.ClassLoader bindClassLoaderToInstance()

### bindIJvmTypeProvider$Factory

    public java.lang.Class<? extends org.eclipse.xtext.common.types.access.IJvmTypeProvider.Factory> bindIJvmTypeProvider$Factory()

### bindAbstractTypeScopeProvider

    public java.lang.Class<? extends org.eclipse.xtext.common.types.xtext.AbstractTypeScopeProvider> bindAbstractTypeScopeProvider()

### bindITypesProposalProvider

    public java.lang.Class<? extends org.eclipse.xtext.common.types.xtext.ui.ITypesProposalProvider> bindITypesProposalProvider()

### bindIJavaProjectProvider

    public java.lang.Class<? extends org.eclipse.xtext.common.types.access.jdt.IJavaProjectProvider> bindIJavaProjectProvider()

### bindIHyperlinkHelper

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.hyperlinking.IHyperlinkHelper> bindIHyperlinkHelper()

### bindPrefixMatcher

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.PrefixMatcher> bindPrefixMatcher()

### bindAbstractJavaBasedContentProposalProvider$ReferenceProposalCreator

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.ReferenceProposalCreator> bindAbstractJavaBasedContentProposalProvider$ReferenceProposalCreator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD